<%--
 * Copyright by Intland Software
 *
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Intland.
 *
 * $Revision$ $Date$
--%>

<%@ taglib uri="jstl-c" prefix="c" %>
<%@ taglib uri="jstl-fmt" prefix="fmt" %>

<style type="text/css">
#wikiNavigationBarInner {
	border: 1px solid #E5E5E5; padding: 10px;
}

#wikiNavigationBarInnerShowDiv {
	border: 1px solid #E5E5E5; padding: 0px; display:none; font-size: 80%;
}
</style>

<div class="wikiNavigationBar noPrint">
	<div id="wikiNavigationBarInner">
		<span style="white-space: normal;">
			<c:out value="${navBarContent}" escapeXml="false" />
		</span>

		<div class="editnavbar">
			<%-- "Edit" --%>
			<c:if test="${navBarPage.writable}">
				<c:url var="editPageURL" value="/proj/wiki/editWikiPage.spr">
					<c:param name="doc_id" value="${navBarPage.id}" />
					<c:param name="forward_doc_id" value="${wikiPage.id}" />
				</c:url>
				[ <a class="wikiNavigationLink" href="${editPageURL}" onclick="launch_url('${editPageURL}',null); return false">edit</a> ]
			</c:if>

			<%-- "Properties" --%>
			<c:url var="pageInfoLink" value="/proj/wiki/displayWikiPageProperties.spr">
				<c:param name="doc_id" value="${navBarPage.id}" />
				<c:param name="forward_doc_id" value="${wikiPage.id}" />
			</c:url>

			[ <a class="wikiNavigationLink" href="${pageInfoLink}">properties</a> ]
			[ <a class="wikiNavigationLink" href="#" onclick="showHideWikiNavigationBar(); return false;" title="Hide Wiki navigation bar">hide</a> ]
		</div>
	</div>
	<div id="wikiNavigationBarInnerShowDiv" title="Click to show Wiki navigation bar" onclick="showHideWikiNavigationBar(); return false;">
		<span style="white-space:nowrap">[ <a class="wikiNavigationLink" href="#" >Show Navigation...</a> ]</span>
	</div>
</div>

<script type="text/javascript">
	function showHideWikiNavigationBar() {
		var wikiNavigationBarInner = document.getElementById("wikiNavigationBarInner");
		var wikiNavigationBarInnerShowDiv = document.getElementById("wikiNavigationBarInnerShowDiv");
		var animated = wikiNavigationBarInner.parentNode;
		if (wikiNavigationBarInner.style.display=='none') {
			// show
			wikiNavigationBarInner.style.overflow='';
			wikiNavigationBarInner.style.display='block';
			wikiNavigationBarInnerShowDiv.style.display='none';
			wikiNavigationBarInner.parentNode.style.width='';
		} else {
			// hide
			wikiNavigationBarInner.style.overflow='hidden';
			animated.style.overflow='hidden';
			var anim = new YAHOO.util.Anim(animated, {
					height: { to: 10 }
				});
			anim.onComplete.subscribe(function() {
				wikiNavigationBarInner.style.display='none';
				wikiNavigationBarInnerShowDiv.style.display='block';
				wikiNavigationBarInner.parentNode.style.width="8em";
				animated.style.height='';
				animated.style.overflow='';
			});
			anim.duration = 0.3;
			anim.animate();
		}
	}
</script>


